---
lang: en
title: 'API docs: repository.referencesmany'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.referencesmany.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [referencesMany](./repository.referencesmany.md)

## referencesMany() function

Decorator for referencesMany

<b>Signature:</b>

```typescript
export declare function referencesMany(definition?: Object): PropertyDecorator;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  definition | Object |  |

<b>Returns:</b>

PropertyDecorator

A property decorator


